// composables/usePlatformLoginType.ts
import { ref } from 'vue'

export function usePlatformLoginType() {
  const apitype = ref<string>('')

  // 平台条件编译设置值
  // #ifdef PUB_SUPPLIER
  apitype.value = 'loginSupplier'
  // #endif

  // #ifdef PUB_PARTNER
  apitype.value = 'loginPartner'
  // #endif

  // #ifdef PUB_FILM
  apitype.value = 'loginCustomer'
  // #endif

  return {
    apitype
  }
}
